claw::ai::game Namespace Reference

Everything about artificial intelligence related game algorithms. More...

## Classes

class | game_state
| A state of a game. More...
class | action_eval
| A score associated with an action. More...
class | min_max
| Find an action with the MinMax algorithm. More...
class | alpha_beta
| Find an action with the alpha-beta algorithm. More...
class | select_action
| Select an action using a given method (min_max, alpha_beta). More...
class | select_random_action
| Select a random action among the best ones. More...

## Detailed Description

Everything about artificial intelligence related game algorithms.